# Uses of Class
com.ngrok.definitions.HttpsEdge

Packages that use HttpsEdge
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of HttpsEdge in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type HttpsEdge
  Modifier and Type
  Method
  Description
  `List<HttpsEdge>`
  HttpsEdgeList.`getHttpsEdges()`
  the list of all HTTPS Edges on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type HttpsEdge
  Modifier
  Constructor
  Description
  ``
  `HttpsEdgeList(List<HttpsEdge> httpsEdges, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `HttpsEdgeList`.

- ## Uses of HttpsEdge in com.ngrok.services

  Methods in com.ngrok.services that return HttpsEdge
  Modifier and Type
  Method
  Description
  `HttpsEdge`
  EdgesHttps.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpsEdge`
  EdgesHttps.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `HttpsEdge`
  EdgesHttps.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type HttpsEdge
  Modifier and Type
  Method
  Description
  `CompletionStage<HttpsEdge>`
  EdgesHttps.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpsEdge>`
  EdgesHttps.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<HttpsEdge>`
  EdgesHttps.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.